#!/bin/sh
-exprs=""
+script=config-subst.$$
+trap "rm $script" 0
+rm -f $script
for i in ${1+"$@"}; do
- var="`echo $i | sed 's/=.*$//'`"
- val="`echo $i | sed 's/^[^=]*=//'`"
- exprs="$exprs -e s;@$var@;$val;"
+ var="`echo "$i" | sed 's/=.*$//'`"
+ val="`echo "$i" | sed 's/^[^=]*=//'`"
+ echo "s;@$var@;$val;" >> $script
done
-sed $exprs
+sed -f $script
/*
- * $XFree86: xc/lib/fontconfig/fontconfig/fontconfig.h,v 1.8 2002/05/21 17:06:22 keithp Exp $
+ * $XFree86: xc/lib/fontconfig/fontconfig/fontconfig.h,v 1.9 2002/05/22 04:37:07 keithp Exp $
*
* Copyright © 2001 Keith Packard, member of The XFree86 Project, Inc.
*
*/
#define FC_MAJOR 1
#define FC_MINOR 0
-#define FC_REVISION 0
+#define FC_REVISION 1
#define FC_VERSION ((FC_MAJOR * 10000) + (FC_MINOR * 100) + (FC_REVISION))
FcBool
FcInit (void);
+int
+FcGetVersion (void);
+
FcBool
FcInitReinitialize (void);
/*
- * $XFree86: xc/lib/fontconfig/src/fcinit.c,v 1.4 2002/05/21 17:06:22 keithp Exp $
+ * $XFree86: xc/lib/fontconfig/src/fcinit.c,v 1.5 2002/05/21 17:48:15 keithp Exp $
*
* Copyright © 2001 Keith Packard, member of The XFree86 Project, Inc.
*
return 0;
}
+int
+FcGetVersion (void)
+{
+ return FC_VERSION;
+}
+
/*
* Load the configuration files
*/